#defend message #1
from eventAPI import *
from APIUtils import *

def fireEvent(e):
   if (getTag(e, "lFlagU") == 1):
      return 1
   else:
      showMessage(e, ["Many streets have been deliberatly blocked in case the besiegers are able to enter the city. You will have to find a way around to the western wall."])
   setTag(e, "lFlagU", 1)
   return 1